Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_AssertListener

Interface used by the CL_Assert class.
Contained in: global
Derived from: none
Derived by: none
Group: Core (System)

#include <ClanLib/core.h>

### public function member index:

### Construction:

``virtual`` | `~CL_AssertListener` | `()`;

### Overrideables:

``virtual` `void`` | `assert_occurred` | `(`const` `char`* `file`, `int` `line`)`;

## Description:

## Function Member Descriptions:

CL_AssertListener::assert_occurred - Called by CL_Assert::die() when assertion occurs.
Remember to add it as an listener - otherwise it will _NOT_ be called.
``virtual` `void`` `assert_occurred` `(`const` `char`* `file`, `int` `line`)`;

> file - Filename where the assert occurred.
> line - Line number in the file where the assert occurred.

CL_AssertListener::~CL_AssertListener - Assert Listener Destructor
``virtual`` `~CL_AssertListener` `()`;